查询评价统计 - Feedback列表
POST
/erp/sc/cs/feedbackReport/lists接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/cs/feedbackReport/lists | HTTPS | POST | 1 |
请求参数
offsetintegerlengthintegerstart_datestring必填end_datestring必填请求示例
{
"offset": 0,
"length": 20,
"start_date": "2024-01-01",
"end_date": "2024-08-05"
}
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataarray<object>必填隐藏子属性
count_lifetimenumber必填count_12number必填count_30number必填count_90number必填feedback_numnumber必填five_starnumber必填four_starnumber必填three_starnumber必填two_starnumber必填one_starnumber必填modified_numnumber必填seller_namestring必填countrystring必填scorenumber必填negative_lifetimenumber必填neutral_lifetimenumber必填positive_lifetimenumber必填totalinteger必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "78390030-503E-2D07-4DD3-6505E102F3F2",
"response_time": "2022-05-16 17:37:11",
"data": [
{
"count_lifetime": 8904,
"negative_lifetime": 0.01,
"neutral_lifetime": 0,
"positive_lifetime": 0.99,
"count_12": 3804,
"count_30": 255,
"count_90": 779,
"feedback_num": 285,
"five_star": 264,
"four_star": 21,
"three_star": 0,
"two_star": 0,
"one_star": 0,
"modified_num": 0,
"seller_name": "店铺2",
"country": "美国",
"score": 4.9
},
{
"count_lifetime": 223,
"negative_lifetime": 0.06,
"neutral_lifetime": 0.03,
"positive_lifetime": 0.91,
"count_12": 86,
"count_30": 1,
"count_90": 10,
"feedback_num": 11,
"five_star": 9,
"four_star": 2,
"three_star": 0,
"two_star": 0,
"one_star": 0,
"modified_num": 0,
"seller_name": "店铺7",
"country": "日本",
"score": 4.8
},
{
"count_lifetime": 9303,
"negative_lifetime": 0.01,
"neutral_lifetime": 0.01,
"positive_lifetime": 0.98,
"count_12": 3844,
"count_30": 311,
"count_90": 783,
"feedback_num": 323,
"five_star": 299,
"four_star": 24,
"three_star": 0,
"two_star": 0,
"one_star": 0,
"modified_num": 0,
"seller_name": "店铺1",
"country": "美国",
"score": 4.9
}
],
"total": 14
}
返回失败示例
{
"code": 102,
"message": "参数不合法",
"error_details": [
"start_date => start_date不能为空",
"end_date => end_date不能为空"
],
"request_id": "8671A9D1-BC61-9398-FBD9-C90A672DAD11",
"response_time": "2022-03-31 15:55:03",
"data": [],
"total": 0
}